> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers

> Retrieves a list of customers for a given company, filtered by various parameters.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/customer/list
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/customer/list:
    get:
      tags:
        - Customer management
      summary: List Customers
      description: >-
        Retrieves a list of customers for a given company, filtered by various
        parameters.
      operationId: listCustomers
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: integer
                      description: The SID of the Merchant.
                      example: 12345
                  required:
                    - sid
                filters:
                  type: object
                  description: ''
                  example: []
                  properties:
                    start_date:
                      type: string
                      description: >-
                        required_with:filters.end_date The start date for
                        filtering customers in `Y-m-d H:i:s` format. Must be
                        before or equal to filters.end_date.
                      example: '2024-01-01 00:00:00'
                    end_date:
                      type: string
                      description: >-
                        required_with:filters.start_date The end date for
                        filtering customers in `Y-m-d H:i:s` format. Must be
                        after or equal to filters.start_date.
                      example: '2024-12-31 23:59:59'
                    phone:
                      type: string
                      description: >-
                        A phone number to filter customers by. Must be in the US
                        format e164.
                      example: '+15555555555'
                    email:
                      type: string
                      description: >-
                        An email address to filter customers by. Must comply
                        with RFC email format.
                      example: example@example.com
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - - id: 6
                        uuid: 66f1c230-68cf-4d58-b47c-1bcb83adfddd
                        first_name: Ryan
                        last_name: Taylor
                        company_name: ''
                        phone: '+17707892072'
                        phone_verified_at: null
                        email: rtaylor82@gmail.com
                        email_verified_at: null
                        addr1: 4655 Hwy 136 W
                        addr2: ''
                        addr3: ''
                        city: Dawsonville
                        state: GA
                        zip: '30534'
                        country: USA
                        email_communications: true
                        sms_communications: false
                        payment_reminders: true
                        last_login_at: '2026-04-28T20:45:43.000000Z'
                        last_login_ip: 69.85.118.154
                      - id: 6
                        uuid: 66f1c230-68cf-4d58-b47c-1bcb83adfddd
                        first_name: Ryan
                        last_name: Taylor
                        company_name: ''
                        phone: '+17707892072'
                        phone_verified_at: null
                        email: rtaylor82@gmail.com
                        email_verified_at: null
                        addr1: 4655 Hwy 136 W
                        addr2: ''
                        addr3: ''
                        city: Dawsonville
                        state: GA
                        zip: '30534'
                        country: USA
                        email_communications: true
                        sms_communications: false
                        payment_reminders: true
                        last_login_at: '2026-04-28T20:45:43.000000Z'
                        last_login_ip: 69.85.118.154
                properties:
                  data:
                    type: array
                    example:
                      - - id: 6
                          uuid: 66f1c230-68cf-4d58-b47c-1bcb83adfddd
                          first_name: Ryan
                          last_name: Taylor
                          company_name: ''
                          phone: '+17707892072'
                          phone_verified_at: null
                          email: rtaylor82@gmail.com
                          email_verified_at: null
                          addr1: 4655 Hwy 136 W
                          addr2: ''
                          addr3: ''
                          city: Dawsonville
                          state: GA
                          zip: '30534'
                          country: USA
                          email_communications: true
                          sms_communications: false
                          payment_reminders: true
                          last_login_at: '2026-04-28T20:45:43.000000Z'
                          last_login_ip: 69.85.118.154
                        - id: 6
                          uuid: 66f1c230-68cf-4d58-b47c-1bcb83adfddd
                          first_name: Ryan
                          last_name: Taylor
                          company_name: ''
                          phone: '+17707892072'
                          phone_verified_at: null
                          email: rtaylor82@gmail.com
                          email_verified_at: null
                          addr1: 4655 Hwy 136 W
                          addr2: ''
                          addr3: ''
                          city: Dawsonville
                          state: GA
                          zip: '30534'
                          country: USA
                          email_communications: true
                          sms_communications: false
                          payment_reminders: true
                          last_login_at: '2026-04-28T20:45:43.000000Z'
                          last_login_ip: 69.85.118.154
                    items:
                      type: array
        '400':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: ''
                    type: object
                    example:
                      message: Validation errors
                    properties:
                      message:
                        type: string
                        example: Validation errors
                  - description: ''
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: ''
                    type: object
                    example:
                      data:
                        message: Permission Denied.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Permission Denied.
                  - description: ''
                    type: object
                    example:
                      data:
                        message: Merchant or Affiliate check failed
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Merchant or Affiliate check failed
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````